summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 14:57:07 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 15:01:07 +0100
commit226041a9596a59c51489bb2ef2c9cb1a6383bee5 (patch)
tree9895bab6683451e97c732ea5746443e473b456ab
parent0665473d3d2ac1e51db9a9085da60847bc18ca67 (diff)
Folder structure change.
Providing script for downloading files. This script depends on common-function.sh Issue-ID: OOM-1551 Signed-off-by: Change-Id: Idf84a42ae62c1ed9dc7486fb64b4de5e44e9ddcc Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
-rw-r--r--bash/tools/creating_data/create_nginx_image/01create-image.sh21
-rw-r--r--bash/tools/creating_data/create_nginx_image/Dockerfile (renamed from bash/tools/creating_data/Dockerfile)0
-rw-r--r--bash/tools/creating_data/create_nginx_image/gitconfig (renamed from bash/tools/creating_data/gitconfig)0
-rw-r--r--bash/tools/creating_data/download_files.sh41
4 files changed, 62 insertions, 0 deletions
diff --git a/bash/tools/creating_data/create_nginx_image/01create-image.sh b/bash/tools/creating_data/create_nginx_image/01create-image.sh
new file mode 100644
index 00000000..5469d3e7
--- /dev/null
+++ b/bash/tools/creating_data/create_nginx_image/01create-image.sh
@@ -0,0 +1,21 @@
+#! /usr/bin/env bash
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+script_dir="$(dirname ${BASH_SOURCE[0]})"
+cd "$script_dir"
+docker build -t own_nginx .
diff --git a/bash/tools/creating_data/Dockerfile b/bash/tools/creating_data/create_nginx_image/Dockerfile
index aafa264c..aafa264c 100644
--- a/bash/tools/creating_data/Dockerfile
+++ b/bash/tools/creating_data/create_nginx_image/Dockerfile
diff --git a/bash/tools/creating_data/gitconfig b/bash/tools/creating_data/create_nginx_image/gitconfig
index 0c6ab113..0c6ab113 100644
--- a/bash/tools/creating_data/gitconfig
+++ b/bash/tools/creating_data/create_nginx_image/gitconfig
diff --git a/bash/tools/creating_data/download_files.sh b/bash/tools/creating_data/download_files.sh
new file mode 100644
index 00000000..31e02f55
--- /dev/null
+++ b/bash/tools/creating_data/download_files.sh
@@ -0,0 +1,41 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+LIST_FILE="$1"
+if [[ -z "$LIST_FILE" ]]; then
+ echo "Missing list file"
+ exit 1
+fi
+outdir="$2"
+if [[ -z "$outdir" ]]; then
+ echo "Missing output directory"
+ exit 1
+fi
+lines=$(cat "$LIST_FILE" | wc -l)
+cnt=1
+# create output dir if not exists
+mkdir -p "$outdir"
+while read -r line; do
+ # www.springframework.org/schema/tool/spring-tool-4.3.xsd
+ file="${line%%\?*}"
+ filename=$(basename "$file")
+ echo "Downloading $cnt / $lines: $file"
+ # following curl params are ensurring 5 reties and cut-off if connectivity will
+ # drop below 10b/10s
+ curl --retry 5 -y 10 -Y 10 --location "$line" -o "$outdir/$filename" &>/dev/null
+ cnt=$((cnt+1))
+done < "$LIST_FILE"